#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,256,320,384,512,1024,2048,4160
 * N : 25,128,256,320,384,512,1024,2048,4160
 * NB : 4,8,12,64,64,64,64,64,128
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 192) (nb_) = 8; \
   else if ((n_) < 288) (nb_) = 12; \
   else if ((n_) < 3104) (nb_) = 64; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
